<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: nga_io_defs::nga_file_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacenga__io__defs.html">nga_io_defs</a></li><li class="navelem"><a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structnga__io__defs_1_1nga__file__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">nga_io_defs::nga_file_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for nga_io_defs::nga_file_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structnga__io__defs_1_1nga__file__t__coll__graph.png" border="0" usemap="#nga__io__defs_1_1nga__file__t_coll__map" alt="Collaboration graph"/></div>
<map name="nga__io__defs_1_1nga__file__t_coll__map" id="nga__io__defs_1_1nga__file__t_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9cf0f290a18caa3c680ba1cd8be0d862"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a9cf0f290a18caa3c680ba1cd8be0d862">name</a> = 'N/A'</td></tr>
<tr class="separator:a9cf0f290a18caa3c680ba1cd8be0d862"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41fd60a30d0ada1acb42fd9b3e40496d"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a41fd60a30d0ada1acb42fd9b3e40496d">sd_name</a> = 'N/A'</td></tr>
<tr class="separator:a41fd60a30d0ada1acb42fd9b3e40496d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0df5fa50d376662bd7374ed11e05728"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#ac0df5fa50d376662bd7374ed11e05728">domain</a> = 'N/A'</td></tr>
<tr class="separator:ac0df5fa50d376662bd7374ed11e05728"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c9723b23a76be34c8387730d97c7814"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a1c9723b23a76be34c8387730d97c7814">physics</a> = 'N/A'</td></tr>
<tr class="separator:a1c9723b23a76be34c8387730d97c7814"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aab4a1f6666167d43260768fb95c4b6"><td class="memItemLeft" align="right" valign="top">integer(4)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a5aab4a1f6666167d43260768fb95c4b6">type</a> = 0</td></tr>
<tr class="separator:a5aab4a1f6666167d43260768fb95c4b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd60b03b789fb1238a6e0c3af4093447"><td class="memItemLeft" align="right" valign="top">integer(4)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#afd60b03b789fb1238a6e0c3af4093447">fh</a> = 0</td></tr>
<tr class="separator:afd60b03b789fb1238a6e0c3af4093447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cd78f0361dda95be0978eeb0638e595"><td class="memItemLeft" align="right" valign="top">integer(4)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a4cd78f0361dda95be0978eeb0638e595">version</a> = 0</td></tr>
<tr class="separator:a4cd78f0361dda95be0978eeb0638e595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb4c931ae336c076681c56a22f89ad7d"><td class="memItemLeft" align="right" valign="top">integer(4), dimension(4)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#abb4c931ae336c076681c56a22f89ad7d">preamble_i</a> = 0</td></tr>
<tr class="separator:abb4c931ae336c076681c56a22f89ad7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e5b46be70c8dff3953b61f0b96df3e5"><td class="memItemLeft" align="right" valign="top">integer(8)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a1e5b46be70c8dff3953b61f0b96df3e5">offset</a> = 0_8</td></tr>
<tr class="separator:a1e5b46be70c8dff3953b61f0b96df3e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6df064c872f967e083ed800c24b94dc"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#aa6df064c872f967e083ed800c24b94dc">nga_file</a> = .TRUE.</td></tr>
<tr class="separator:aa6df064c872f967e083ed800c24b94dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc51cb341b424de72141da50c37760f"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a0dc51cb341b424de72141da50c37760f">byte_swap</a> = .FALSE.</td></tr>
<tr class="separator:a0dc51cb341b424de72141da50c37760f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c174d739036e6624cac6664d4cc27a"><td class="memItemLeft" align="right" valign="top">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a26c174d739036e6624cac6664d4cc27a">ctag1</a> = ''</td></tr>
<tr class="separator:a26c174d739036e6624cac6664d4cc27a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cf030cd4d6c8469dde1b13acfb98035"><td class="memItemLeft" align="right" valign="top">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a4cf030cd4d6c8469dde1b13acfb98035">ctag2</a> = ''</td></tr>
<tr class="separator:a4cf030cd4d6c8469dde1b13acfb98035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad69b2bbb47d32f31779e476892ebdbdb"><td class="memItemLeft" align="right" valign="top">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#ad69b2bbb47d32f31779e476892ebdbdb">ctag3</a> = ''</td></tr>
<tr class="separator:ad69b2bbb47d32f31779e476892ebdbdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff8ce0e22834e4754577e6ec41bef872"><td class="memItemLeft" align="right" valign="top">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#aff8ce0e22834e4754577e6ec41bef872">byte_swap_keyword</a> = ''</td></tr>
<tr class="separator:aff8ce0e22834e4754577e6ec41bef872"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e20c54d2cd3513eebed5deecf63164d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a5aab4a1f6666167d43260768fb95c4b6">type</a>(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a3e20c54d2cd3513eebed5deecf63164d">next</a> =&gt; null()</td></tr>
<tr class="separator:a3e20c54d2cd3513eebed5deecf63164d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a0dc51cb341b424de72141da50c37760f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dc51cb341b424de72141da50c37760f">&#9670;&nbsp;</a></span>byte_swap</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical nga_io_defs::nga_file_t::byte_swap = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff8ce0e22834e4754577e6ec41bef872"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff8ce0e22834e4754577e6ec41bef872">&#9670;&nbsp;</a></span>byte_swap_keyword</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>) nga_io_defs::nga_file_t::byte_swap_keyword = ''</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a26c174d739036e6624cac6664d4cc27a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26c174d739036e6624cac6664d4cc27a">&#9670;&nbsp;</a></span>ctag1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>) nga_io_defs::nga_file_t::ctag1 = ''</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4cf030cd4d6c8469dde1b13acfb98035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cf030cd4d6c8469dde1b13acfb98035">&#9670;&nbsp;</a></span>ctag2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>) nga_io_defs::nga_file_t::ctag2 = ''</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad69b2bbb47d32f31779e476892ebdbdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad69b2bbb47d32f31779e476892ebdbdb">&#9670;&nbsp;</a></span>ctag3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=<a class="el" href="namespacenga__io__defs.html#a09bba15c016d84ba085dcd6528a38dd7">nga_io_string_len</a>) nga_io_defs::nga_file_t::ctag3 = ''</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0df5fa50d376662bd7374ed11e05728"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0df5fa50d376662bd7374ed11e05728">&#9670;&nbsp;</a></span>domain</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) nga_io_defs::nga_file_t::domain = 'N/A'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd60b03b789fb1238a6e0c3af4093447"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd60b03b789fb1238a6e0c3af4093447">&#9670;&nbsp;</a></span>fh</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(4) nga_io_defs::nga_file_t::fh = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9cf0f290a18caa3c680ba1cd8be0d862"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cf0f290a18caa3c680ba1cd8be0d862">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) nga_io_defs::nga_file_t::name = 'N/A'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e20c54d2cd3513eebed5deecf63164d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e20c54d2cd3513eebed5deecf63164d">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structnga__io__defs_1_1nga__file__t.html#a5aab4a1f6666167d43260768fb95c4b6">type</a>(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>), pointer nga_io_defs::nga_file_t::next =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa6df064c872f967e083ed800c24b94dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6df064c872f967e083ed800c24b94dc">&#9670;&nbsp;</a></span>nga_file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical nga_io_defs::nga_file_t::nga_file = .TRUE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e5b46be70c8dff3953b61f0b96df3e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e5b46be70c8dff3953b61f0b96df3e5">&#9670;&nbsp;</a></span>offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(8) nga_io_defs::nga_file_t::offset = 0_8</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c9723b23a76be34c8387730d97c7814"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c9723b23a76be34c8387730d97c7814">&#9670;&nbsp;</a></span>physics</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) nga_io_defs::nga_file_t::physics = 'N/A'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb4c931ae336c076681c56a22f89ad7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb4c931ae336c076681c56a22f89ad7d">&#9670;&nbsp;</a></span>preamble_i</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(4), dimension(4) nga_io_defs::nga_file_t::preamble_i = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a41fd60a30d0ada1acb42fd9b3e40496d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41fd60a30d0ada1acb42fd9b3e40496d">&#9670;&nbsp;</a></span>sd_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) nga_io_defs::nga_file_t::sd_name = 'N/A'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5aab4a1f6666167d43260768fb95c4b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aab4a1f6666167d43260768fb95c4b6">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(4) nga_io_defs::nga_file_t::type = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4cd78f0361dda95be0978eeb0638e595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cd78f0361dda95be0978eeb0638e595">&#9670;&nbsp;</a></span>version</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(4) nga_io_defs::nga_file_t::version = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="nga__io__defs_8f90.html">nga_io_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
